""" ARD Exceptions """
class ARDServerException(Exception):
    ''' The ARD API service encountered an error'''
    pass

class BadARDRequest(Exception):
    '''The ARD API request sent was incorrectly formatted'''
    pass

class NotSubmitted(Exception):
    ''' A Select or Order has not been submitted'''
    pass

class NotFinished(Exception):
    ''' A select has not finished running so results are not available yet'''
    pass

class MissingDependency(Exception):
    ''' A dependency required for this functionality has not been installed '''
    pass

class SelectError(Exception):
    ''' Errors returned from the Select Service '''
    pass
